ServerEvents.recipes(event => { 
    event.remove({ output: 'twilightforest:uncrafting_table' })
    event.remove({ output: 'seasonsextras:crop_season_tester' })
    event.shaped(
        Item.of('seasonsextras:crop_season_tester', 1), // arg 1: output
        [ 
          ' GR', 
          ' IG', // arg 2: the shape (array of strings)
          'I  '  
        ],
        {
          R: 'minecraft:redstone_torch', 
          G: 'minecraft:glass',  //arg 3: the mapping object
          I: 'minecraft:iron_ingot'   
        }
    )
    
    event.remove({output: 'ad_astra:hammer'})
    event.remove({input: 'ad_astra:hammer'})
    event.remove({output: 'indrev:hammer'})
    event.remove({input: 'indrev:hammer'})
    event.remove({id: 'indrev:shapeless/copper_plate_from_hammer'})
    event.remove({id: 'indrev:shapeless/gold_plate_from_hammer'})
    event.remove({id: 'indrev:shapeless/iron_plate_from_hammer'})

    event.remove({output: 'things:container_key'})

    event.remove({output: 'things:bater_wucket'})
    event.shaped(
        Item.of('things:bater_wucket', 1), // arg 1: output
        [ 
          'BDB', 
          ' B ', // arg 2: the shape (array of strings)
          '   '  
        ],
        {
          B: 'minecraft:water_bucket', 
          D: 'minecraft:diamond',  //arg 3: the mapping object
        }
    )

    event.remove({output: 'things:hades_crystal'})
    event.shaped(
        Item.of('things:hades_crystal', 1), // arg 1: output
        [ 
          'GMG', 
          'CMC', // arg 2: the shape (array of strings)
          'BMB'  
        ],
        {
          G: 'things:gleaming_compound', 
          M: 'minecraft:magma_block',  //arg 3: the mapping object
          C: 'minecraft:magma_cream',
          B: 'spectrum:blaze_head'  
        }
    )
    
    event.remove({
        type: 'minecraft:blasting',
        input: 'minecraft:iron_ingot',
        output: 'modern_industrialization:steel_ingot'
    })

    event.remove({output: 'createaddition:iron_rod'})
    event.remove({output: 'createaddition:gold_rod'})
    event.remove({output: 'createaddition:brass_rod'})
    event.remove({output: 'createaddition:copper_rod'})
    event.remove({output: 'createdeco:zinc_sheet'})

    event.shaped(
        Item.of('create:mechanical_crafter', 3), // arg 1: output
        [ 
          'E  ', 
          'B  ', // arg 2: the shape (array of strings)
          'C  '  
        ],
        {
          E: 'create:electron_tube', 
          B: 'create:brass_casing',  //arg 3: the mapping object
          C: '#c:workbench'  
        }
    )

    event.shaped(
        Item.of('create:mechanical_crafter', 3), // arg 1: output
        [ 
          'E  ', 
          'B  ', // arg 2: the shape (array of strings)
          'C  '  
        ],
        {
          E: 'create:electron_tube', 
          B: 'create:brass_casing',  //arg 3: the mapping object
          C: '#c:workbenches'  
        }
    )
})